
'=======================================================
'                                                      '
'            -------------------------                 '
'                  StringMap.inc                       '
'            -------------------------                 '
'                                                      '
'     This include file & lib file will help you to    ' 
'                manipulate strings.                   ' 
'                                                      '
'                    By Andy1966.                      '
'                                                      '
'=======================================================

$use "StringMap.lib"

'==============================================
' Declare External functions of the lib file. '
'==============================================

declare extern SMSearchText(string SMAstring,string SMDelimiter),int
declare extern SMReplaceAllDels(string SMAstring,string SMDelimiter,string SMNewDelimiter),string
declare extern SMReplaceDelX(string SMAstring,string SMDelimiter,int SMDelNo,string SMNewDelimiter),string
declare extern SMCountBlocks(string SMAstring,string SMDelimiter),int
declare extern SMGetFirstBlock(string SMAstring,string SMDelimiter),string 
declare extern SMGetBlockX(string SMAstring,string SMDelimiter,int SMBlockCount),string
declare extern SMGetLastBlock(string SMAstring,string SMDelimiter),string
declare extern SMBCount(string SMAstring,string SMDelimiter),int
declare extern SMCountStrings(string SMAstring,string SMSearchInText),int
declare extern SMInstrAll alias SMCountStrings(string SMAstring,string SMSearchInText),int
declare extern SMInstrX(string SMAstring,string SMSearchInText,int SMInstance),int
declare extern SMReplaceStringX(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMReplaceFirstString(string SMAstringIn,string SMSearchInText,string SMANewText),string
declare extern SMReplaceLastString(string SMAstringIn,string SMSearchInText,string SMANewText),string
declare extern SMReplaceAllStrings(string SMAstring,string SMSearchInText,string SMANewText),string
declare extern SMReplaceBetweenStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceStringBetween alias SMReplaceBetweenStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceFromStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceStringFrom alias SMReplaceFromStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2,string SMReplaceWith),string
declare extern SMReplaceString2(string SMAstringIn,string SMSearchInText,string SMANewText,INT SMSearchStringIn),string
declare extern SMGetTheStringPos(string SMAstringIn,string SMSearchInText,int SMSearchNo),int
declare extern SMGetNextInst(string SMAstringIn,string SMSearchInText,int SMInst),string
declare extern SMGetBeforeStringX(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetStringBefore alias SMGetBeforeStringX(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetAfterStringX(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetStringAfter alias SMGetAfterStringX(string SMAstringIn,string SMSearchInText,int SMBin),string
declare extern SMGetBetweenStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMGetStringBetween alias SMGetBetweenStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMGetFromStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMGetStringFrom alias SMGetFromStringX(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCheckValues(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2)
declare extern SMCheckValuesI1(string SMAstringIn,string SMSearchInText1,int SMBin1),int 
declare extern SMCheckValuesI2(string SMAstringIn,string SMSearchInText2,int SMBin2),int
declare extern SMStringCheck(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCheckPositions(string SMAstringIn,string SMSearchInText1,int SMBin1,string SMSearchInText2,int SMBin2),string
declare extern SMCountDels(string SMAstringIn,string SMDelimiter),int
declare extern SMGetBeforeDelX(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetAfterDelX(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetFromDelX(string SMAstringIn,string SMDelimiter,int SMDelin1),string
declare extern SMGetBetweenDelX(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMDelin2),string
declare extern SMGetFromDelToDel(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMDelin2),string
declare extern SMGetDelX(string SMAstringIn,string SMDelimiter,int SMDelin),int
declare extern SMGetFromDelToBlock(string SMAstringIn,string SMDelimiter,int SMDelin1,int SMBlockIn1),string
declare extern SMGetFromBlockToDel(string SMAstringIn,string SMDelimiter,int SMBlockIn1,int SMDelin1),string
declare extern SMInsertBeforeStringX(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMInsertAfterStringX(string SMAstringIn,string SMSearchInText,int SMInstance,string SMANewText),string
declare extern SMInsertStringBeforeDel(string SMAstringIn,string SMDelimiterIn,int SMInstance,string SMANewText),string
declare extern SMInsertStringAfterDel(string SMAstringIn,string SMDelimiterIn,int SMInstance,string SMANewText),string
declare extern SMIsStringAlpha(string SMAstringIn),int
declare extern SMIsStringNum(string SMAstringIn),int
declare extern SMIsStringAlphaNum(string SMAstringIn),int
declare extern SMIsStringNormal(string SMAstringIn),int
declare extern SMCountWhiteSpaces(string SMAstringIn),int
declare extern SMGetWhiteSpace(string SMAstringIn),int
declare extern SMGetBeforeWhiteSpace(string SMAstringIn),string
declare extern SMGetAfterWhiteSpace(string SMAstringIn),string
declare extern SMRemoveWhiteSpace(string SMAstringIn),string 
declare extern SMRemoveAllWhiteSpaces(string SMAstringIn),string 
declare extern SMReverseBlockX(string SMAstringIn,string SMSearchInText,int SMInstance),string 
declare extern SMCountAlphas(string SMAstringIn),int
declare extern SMCountNums(string SMAstringIn,opt int SMDontCount),int
declare extern SMCountAlphaNums(string SMAstringIn),int
declare extern SMCountNons(string SMAstringIn),int
declare extern SMCountWords(string SMAstringIn),int
declare extern SMReplaceAllNums(string SMAstringIn,string SMReplaceWith),string
declare extern SMReplaceAllAlphas(string SMAstringIn,string SMReplaceWith),string
declare extern SMReplaceNumX(string SMAstringIn,string SMReplaceWith,int SMInstance,opt int SMDontCount),string 
declare extern SMReplaceAlphaX(string SMAstringIn,string SMReplaceWith,int SMInstance),string
declare extern SMReplaceNonX(string SMAstringIn,string SMReplaceWith,int SMInstance, opt int SMIncSpace),string 
declare extern SMReplaceAllNons(string SMAstringIn,string SMReplaceWith,opt int SMIncSpace),string 
declare extern SMGetBeforeNumX(string SMAstringIn,int SMInstance,opt int SMDontCount),string
declare extern SMGetAfterNumX(string SMAstringIn,int SMInstance,opt int SMDontCount),string
declare extern SMGetBetweenNumX(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMGetBeforeAlphaX(string SMAstringIn,int SMInstance),string  
declare extern SMGetAfterAlphaX(string SMAstringIn,int SMInstance),string 
declare extern SMGetBetweenAlphaX(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMGetBeforeNonX(string SMAstringIn,int SMInstance,opt int SMIncSpace),string
declare extern SMGetAfterNonX(string SMAstringIn,int SMInstance,opt int SMIncSpace),string
declare extern SMGetBetweenNonX(string SMAstringIn,int SMInstance1,int SMInstance2,opt int SMIncSpace),string
declare extern SMReverseText(string SMAstringIn,string SMSearchInText,int SMInstance),string
declare extern SMCountExts(string SMAstringIn),int
declare extern SMGetExtValX(string SMAstringIn,int SMExt1),int
declare extern SMGetBeforeExtX(string SMAstringIn,int SMExt1),string
declare extern SMGetAfterExtX(string SMAstringIn,int SMExt1),string
declare extern SMGetBetweenExtX(string SMAstringIn,int SMInst1,INT SMInst2),string 
declare extern SMRemoveExtX(string SMAstringIn,int SMExt1),string
declare extern SMRemoveAllExts(string SMAstringIn),string
declare extern SMReplaceExtX(string SMAstringIn,int SMInstance,string SMANewText),string
declare extern SMReplaceAllExts(string SMAstring,string SMANewText),string
declare extern SMCountNonKeys(string SMAstringIn),int
declare extern SMReverseAllNums(string SMAstringIn),string
declare extern SMReverseAllAlphas(string SMAstringIn),string 
declare extern SMReverseAllAlphaNums(string SMAstringInA),string 
declare extern SMReverseAllNons(string SMAstringInA),string
declare extern SMReverseAllExts(string SMAstringInA),string
declare extern SMGetWordX(string SMAstringIn,int SMWordInst),string
declare extern SMGetBeforeWordX(string SMAstringIn,int SMWordInst),string
declare extern SMGetAfterWordX(string SMAstringIn,int SMWordInst),string
declare extern SMReplaceWordX(string SMAstringIn,int SMInstance,string SMNewText),string
declare extern SMReplaceAllWords(STRING SMAstringIn,STRING SMText,STRING SMNewText),STRING
declare extern SMReplaceWord(string SMAstringIn,string SMText,int SMInstance,string SMNewText),string
declare extern SMCountWordX(string SMAstringIn,string SMText),int
declare extern SMRemoveWordX(string SMAstringIn,string SMText,int SMInstance),string
declare extern SMRemoveAllWords(string SMAstringIn,string SMText),string
declare extern SMGetAlphaPosX(string SMAstringIn,int SMInstance),int 
declare extern SMGetNumPosX(string SMAstringIn,int SMInstance),int
declare extern SMGetExtPosX(string SMAstringIn,int SMExt1),int
declare extern SMGetNonPosX(string SMAstringIn,int SMInstance,opt int SMIncSpace),int
declare extern SMGetNonKeyPosX(string SMAstringIn,int SMInstance),int 
declare extern SMGetBeforeAlphaNumX(string SMAstringIn,int SMInstance),string
declare extern SMGetAfterAlphaNumX(string SMAstringIn,int SMInstance),string
declare extern SMGetBetweenAlphaNumX(string SMAstringIn,int SMInst1,int SMInst2),string
declare extern SMGetAlphaNumX(string SMAstringIn,int SMInstance),string
declare extern SMReplaceAlphaNumX(string SMAstringIn,int SMInstance,string SMNewText),string
declare extern SMRemoveAlphaNumX(string SMAstringIn,int SMInstance),string 
declare extern SMRemoveAllAlphaNums(string SMAstringIn),string
declare extern SMGetAlphaNumPosX(string SMAstringIn,int SMInstance),int
declare extern SMGetNumX(string SMAstringIn,int SMInstance,opt int DontCount),string
declare extern SMRemoveNumX(string SMAstringIn,int SMInstance,opt int SMDontCount),string
declare extern SMRemoveAllNums(string SMAstringIn),string
declare extern SMGetAlphaX(string SMAstringIn,int SMInstance),string
declare extern SMRemoveAlphaX(string SMAstringIn,int SMInstance),string
declare extern SMRemoveAllAlphas(string SMAstringIn),string
declare extern SMReplaceAllAlphaNums(string SMAstringIn,string SMNewText),string
declare extern SMGetNonX(string SMAstringIn,int SMInstance,opt int SMIncSpace),string
declare extern SMRemoveNonX(string SMAstringIn,int SMInstance,opt int SMIncSpace),string 
declare extern SMRemoveAllNons(string SMAstringIn,opt int SMIncSpace),string 
declare extern SMSwapAlphaX(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMSwapNumX(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMSwapAlphaNumX(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMSwapNonX(string SMAstringIn,int SMInstance1,int SMInstance2,opt int SMIncSpace),string
declare extern SMGetExtX(string SMAstringIn,int SMInstance),string
declare extern SMSwapExtX(string SMAstringIn,int SMInstance1,int SMInstance2),string
declare extern SMGetBeforeBlockX(string SMAstring,string SMDelimiter,int SMBlockCount),string
declare extern SMGetAfterBlockX(string SMAstring,string SMDelimiter,int SMBlockCount),string
declare extern SMGetBetweenBlockX(string SMAstring,string SMDelimiter,int SMBlock1,int SMBlock2),string 
declare extern SMSwapBlockX(string SMAstringIn,string SMDelimiter,int SMInstance1,int SMInstance2),string
declare extern SMReplaceBlockX(string SMAstringIn,string SMDelimiter,int SMInstance1,string SMNewText),string
declare extern SMRemoveBlockX(string SMAstringIn,string SMDelimiter,int SMInstance1),string
declare extern SMInsertBlockX(string SMAstringIn,string SMDelimiter,int SMInstance1,string SMNewText),string
declare extern SMGetNonKeyValX(string SMAstringIn,int SMInstance),int
declare extern SMGetStringX(string SMAstringIn,string SMSearchInText,int SMInstance),string
declare extern SMSwapStringX(string SMAstringIn,string SMSearchInText1,int SMInstance1,string SMSearchInText2,int SMInstance2),string
declare extern SMRemoveStringX(string SMAstringIn,string SMSearchInText,int SMInstance),string
declare extern SMReverseString(string SMAstringIn),string
declare extern SMRemoveDelX(string SMAstring,string SMDelimiter,int SMDelNo),string
declare extern SMRemoveAllDels(string SMAstring,string SMDelimiter),string
declare extern SMInsertDelBeforeStringX(string SMAstringIn,string SMSearchInText,int SMInstance,string SMDelimiter),string
declare extern SMInsertDelAfterStringX(string SMAstringIn,string SMSearchInText,int SMInstance,string SMDelimiter),string
declare extern SMInsertDelBeforeAllStrings(string SMAstring,string SMSearchInText,string SMDelimiter),string
declare extern SMInsertDelAfterAllStrings(string SMAstring,string SMSearchInText,string SMDelimiter),string
declare extern SMInsertDelBeforeAlphaX(string SMAstringIn,int SMInstance,string SMDelimiter),string
declare extern SMInsertDelAfterAlphaX(string SMAstringIn,int SMInstance,string SMDelimiter),string 
declare extern SMInsertDelBeforeNumX(string SMAstringIn,int SMInstance,string SMDelimiter),string 
declare extern SMInsertDelAfterNumX(string SMAstringIn,int SMInstance,string SMDelimiter),string
declare extern SMInsertDelBeforeExtX(string SMAstringIn,int SMInstance,string SMDelimiter),string 
declare extern SMInsertDelAfterExtX(string SMAstringIn,int SMInstance,string SMDelimiter),string 
declare extern SMInsertDelBeforeAlphaNumX(string SMAstringIn,int SMInstance,string SMDelimiter),string 
declare extern SMInsertDelAfterAlphaNumX(string SMAstringIn,int SMInstance,string SMDelimiter),string
declare extern SMInsertDelBeforeNonX(string SMAstringIn,int SMInstance,string SMDelimiter),string
declare extern SMInsertDelAfterNonX(string SMAstringIn,int SMInstance,string SMDelimiter),string 
declare extern SMSetSpaces(string SMAstringIn,INT SMNumSpaces),string
declare extern SMMakeStringDel(string SMAstringIn,string SMDelimiter,opt int SMDelPlus),string
declare extern SMCountNumX(string SMAstringIn,string SMNumX,opt int SMDontCount),int
declare extern SMCountAlphaX(string SMAstringIn,string SMAlpha),int
declare extern SMCountNonX(string SMAstringIn,string SMNonIn),int
declare extern SMCountExtX(string SMAstringIn,string SMExtIn),int
declare extern SMCountWhiteSpaceX(string SMAstringIn,string SMWSIn),int
declare extern SMCountNonKeyX(string SMAstringIn,string SMNKIn),int
declare extern SMRemoveAllStrings(string SMAstring,string SMSearchInText),string
declare extern SMSetStringUpX(string SMAstringIn,string SMSearchInText,int SMInstance),string
declare extern SMSetStringLoX(string SMAstringIn,string SMSearchInText,int SMInstance),string
declare extern SMSetStringUpXN(string SMAstringIn,string SMSearchInText,int SMInstance,int SMPos),string
declare extern SMSetStringLoXN(string SMAstringIn,string SMSearchInText,int SMInstance,int SMPos),string
declare extern SMSetStringUpX1(string SMAstringIn,string SMSearchInText,int SMInstance,opt int SMChange),string
declare extern SMSetStringLoX1(string SMAstringIn,string SMSearchInText,int SMInstance,opt int SMChange),string
declare extern SMMakeNumXDouble(string SMAstringIn,int SMInstance,opt int SMDontCount),string
declare extern SMCountDoubles(string SMAstringIn),int
declare extern SMGetDoubleX(string SMAstringIn,int SMInstance),string
declare extern SMGetBeforeDoubleX(string SMAstringIn,int SMInstance),string 
declare extern SMGetAfterDoubleX(string SMAstringIn,int SMInstance),string 
declare extern SMInstrLast(string SMAstring,string SMSearchInText),int
declare extern SMMakeDoubleXInt(string SMAstringIn,int SMInstance),string
declare extern SMGetNumBlockXHex(string SMAstringIn,int SMInstance),string
declare extern SMGetBeforeNumBlockX(string SMAstringIn,int SMInstance),string
declare extern SMGetAfterNumBlockX(string SMAstringIn,int SMInstance),string
declare extern SMCountNumBlocks(string SMAstringIn,opt int SMDontCount),int
declare extern SMGetNumBlockX(string SMAstringIn,int SMInstance,opt int SMMinusIn,opt int SMCharsIn),string
declare extern SMReplaceNumBlockXHex(string SMAstringIn,int SMInstance),string 
declare extern SMRemoveNumBlockX(string SMAstringIn,int SMInstance),string
declare extern SMCountChrs(string SMAstringIn,opt int NoSpaces),int
declare extern SMCountChrsExcl(string SMAstringIn,string SMExcl,opt int SMNoSpaces),int
declare extern SMMakeStringNumBlocks(string SMAstringIn),string
declare extern SMInsertChrNumBlockX(string SMAstringIn,int SMInstance,string SMChrIn),string
declare extern SMFormatNumBlockX(string SMAstringIn,int SMInstance,opt string SMDelimiter,opt string SMChrIn,opt int SMOccur),string
declare extern SMFormatAllNumBlocks(string SMAstringIn,opt string SMDelimiter,opt string SMChrIn,opt int SMOccur),string
declare extern SMReplaceNumXDouble(string SMAstringIn,int SMInstance,opt int SMDontCount),string
declare extern SMAddUpAllNums(string SMAstringIn,opt int SMDontCount),int
declare extern SMAddUpAllNumBlocks(string SMAstringIn,opt int SMPrec),string
declare extern SMAddNumBlockX(string SMAstringIn,int SMInstance1, int SMInstance2,opt int SMPrec),string
declare extern SMMultiNumBlockX(string SMAstringIn,int SMInstance1, int SMInstance2,opt int SMPrec),string
declare extern SMDivNumBlockX(string SMAstringIn,int SMInstance1, int SMInstance2,opt int SMPrec),string
declare extern SMSqrNumBlockX(string SMAstringIn,int SMInstance1,opt int SMPrec),string
declare extern SMAddNumX(string SMAstringIn,int SMInstance1,int SMInstance2),int
declare extern SMSubNumX(string SMAstringIn,int SMInstance1,int SMInstance2),int 
declare extern SMMultiNumX(string SMAstringIn,int SMInstance1,int SMInstance2,opt int SMPrec),string
declare extern SMDivNumX(string SMAstringIn,int SMInstance1,int SMInstance2,opt int SMPrec),string  
declare extern SMSqrNumX(string SMAstringIn,int SMInstance1,opt int SMPrec),string
declare extern SMReplaceAllNumBlocksHex(string SMAstringIn,opt string SMChrIn),string
declare extern SMCountChrsExclX(string SMAstringIn,string SMExcl,int SMInstance,opt int SMNoSpaces),int
declare extern SMCountWordsExcl(string SMAstringIn,string SMExcl),int
declare extern SMCountWordsExclX(string SMAstringIn,string SMExcl,int SMInstance),int
declare extern SMCountAllBlocks(string SMAstringIn,opt int SMDontCount),int
declare extern SMSortNumBlocksAs(string SMAstringIn,opt int SMDontCount),string
declare extern SMSortNumBlocksDe(string SMAstringIn,opt int SMDontCount),string
declare extern SMAvAllNumBlocks(string SMAstringIn,opt int SMPrec),string
declare extern SMAvAllNums(string SMAstringIn,opt int SMDontCount),int
declare extern SMCountNonNumBLocks(string SMAstringIn,opt int SMDontCount),int
declare extern SMGetNonNumBlockX(string SMAstringIn,int SMInstance),string
declare extern SMGetBeforeNonNumBlockX(string SMAstringIn,int SMInstance),string 
declare extern SMGetAfterNonNumBlockX(string SMAstringIn,int SMInstance),string 
declare extern SMReplaceNonNumBlockX(string SMAstringIn,int SMInstance,string SMReplaceIn),string
declare extern SMRemoveNonNumBlockX(string SMAstringIn,int SMInstance),string 
declare extern SMRemoveAllNumBlocks(string SMAstringIn),string
declare extern SMReplaceNumBlockX(string SMAstringIn,int SMInstance,string SMReplaceIn),string
declare extern SMGetNumBlockXDec(string SMAstringIn,int SMInstance),string
declare extern SMGetNumBlockXBDec(string SMAstringIn,int SMInstance),string 
declare extern SMUsing(string SMAstringIn,opt string SMDelimiter,opt int SMInstance),string
declare extern SMReplaceNumBlockXFloat(string SMAstringIn,int SMInstance,opt int SMFloat,opt int SMNoRoundUp),string 
declare extern SMReplaceAllNumBlocksFloat(string SMAstringIn,opt int SMFloat,opt int SMNoRoundUp),string 
declare extern SMRoundUp(string SMAstringIn,int SMFloat),string
declare extern SMAddUp(string SMString1,string String2,int SMFloat),string
declare extern SMAddUpNumBlockX(string SMAstringIn,string SMAstringIn2,opt int SMMinusIn),string
declare extern SMSubNumBlockX(string SMAstringIn,string SMAstringIn2),string
declare extern SMAddUpAllNumBlocksNeg(string SMAstringIn,opt int SMPrec),string
declare extern SMAddUpAllNumBlocksPos(string SMAstringIn,opt int SMPrec),string
declare extern SMAbsNumBlockX(string SMAstringIn,string SMAstringIn2),string 

declare extern SMMSub(string SMAstringIn,string SMAstringIn2),string
declare extern SMMultiplyNumBlockX(string SMAstring,string SMAstring2,opt int SMDecPlacesToRoundUp),string
declare extern SMDivideNumBlockX(string SMAStringIn,string SMAStringIn2,opt int SMDecPlacesIn),string
declare extern SMLessThan(string SMAStringIn,STRIng SMAStringIn2),int
declare extern SMGreaterThan(string SMAStringIn,STRIng SMAStringIn2),int
declare extern SMRemoveLZeros(string SMAStringIn),string
declare extern SMRemoveTZeros(string SMAstringIn),string
declare extern SMCountLZeros(string SMAStringIn),int
declare extern SMCountTZeros(string SMAstringIn),INT

declare extern SMCountZerosAfterDec(string SMAStringIn),int

declare extern SMDebug(int SMDebugIn),int
declare extern SMFirstTextPos(),int
declare extern SMNextTextPos(),int
declare extern SMLastTextPos(),int
declare extern SMTrue(),int
declare extern SMEndStringMap(),int

'==============================================
' Declare External variables of the lib file. '
'==============================================

extern SMDebug as int
extern SMCorrect as int 

'==============================================
' Set Debug messages to zero (none), or 1 on. '
'==============================================

SMDebug   = 0

'===========================================================
' Try to correct instance numbers - zero (no), or 1 (yes). '
'===========================================================

SMCorrect = 1

'==============================================
' ********** End of include file ************** 
'==============================================

